DOMElementWriter.XmlNamespacePolicy (Apache Ant API)
Keywords: org.apache.tools.ant.util.DOMElementWriter.XmlNamespacePolicy class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util
Class DOMElementWriter.XmlNamespacePolicy

    java.lang.Object
      org.apache.tools.ant.util.DOMElementWriter.XmlNamespacePolicy

Enclosing class:
  DOMElementWriter

    public static class DOMElementWriter.XmlNamespacePolicy

extends java.lang.Object

Whether namespaces should be ignored for elements and attributes.

Since:
  Ant 1.7

Field Summary
`static DOMElementWriter.XmlNamespacePolicy` | `IGNORE` Ignores namespaces for elements and attributes, the default.
`static DOMElementWriter.XmlNamespacePolicy` | `ONLY_QUALIFY_ELEMENTS` Ignores namespaces for attributes.
`static DOMElementWriter.XmlNamespacePolicy` | `QUALIFY_ALL` Qualifies namespaces for elements and attributes.

Constructor Summary
`DOMElementWriter.XmlNamespacePolicy(boolean qualifyElements, boolean qualifyAttributes)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IGNORE

    public static final DOMElementWriter.XmlNamespacePolicy IGNORE

  Ignores namespaces for elements and attributes, the default.

### ONLY_QUALIFY_ELEMENTS

    public static final DOMElementWriter.XmlNamespacePolicy ONLY_QUALIFY_ELEMENTS

  Ignores namespaces for attributes.

### QUALIFY_ALL

    public static final DOMElementWriter.XmlNamespacePolicy QUALIFY_ALL

  Qualifies namespaces for elements and attributes.

Constructor Detail

### DOMElementWriter.XmlNamespacePolicy

    public DOMElementWriter.XmlNamespacePolicy(boolean qualifyElements,
                                               boolean qualifyAttributes)

Parameters:
  `qualifyElements` - whether to qualify elements
  `qualifyAttributes` - whether to qualify elements

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD